<?php

namespace App\Delivery\Dhl\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for docTypeRef_ShipType StructType
 * @subpackage Structs
 */
class DocTypeRef_ShipType extends AbstractStructBase
{
    /**
     * The Shipper
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $Shipper;
    /**
     * The Pickup
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $Pickup;
    /**
     * The BookingRequestor
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $BookingRequestor;
    /**
     * The Buyer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType1
     */
    public $Buyer;
    /**
     * The Recipient
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $Recipient;
    /**
     * The Exporter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $Exporter;
    /**
     * The Importer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $Importer;
    /**
     * The Seller
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $Seller;
    /**
     * The Payer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $Payer;
    /**
     * The UltimateConsignee
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType
     */
    public $UltimateConsignee;
    /**
     * Constructor method for docTypeRef_ShipType
     * @uses DocTypeRef_ShipType::setShipper()
     * @uses DocTypeRef_ShipType::setPickup()
     * @uses DocTypeRef_ShipType::setBookingRequestor()
     * @uses DocTypeRef_ShipType::setBuyer()
     * @uses DocTypeRef_ShipType::setRecipient()
     * @uses DocTypeRef_ShipType::setExporter()
     * @uses DocTypeRef_ShipType::setImporter()
     * @uses DocTypeRef_ShipType::setSeller()
     * @uses DocTypeRef_ShipType::setPayer()
     * @uses DocTypeRef_ShipType::setUltimateConsignee()
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $shipper
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $pickup
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $bookingRequestor
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType1 $buyer
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $recipient
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $exporter
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $importer
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $seller
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $payer
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $ultimateConsignee
     */
    public function __construct(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $shipper = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $pickup = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $bookingRequestor = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType1 $buyer = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $recipient = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $exporter = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $importer = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $seller = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $payer = null, \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $ultimateConsignee = null)
    {
        $this
            ->setShipper($shipper)
            ->setPickup($pickup)
            ->setBookingRequestor($bookingRequestor)
            ->setBuyer($buyer)
            ->setRecipient($recipient)
            ->setExporter($exporter)
            ->setImporter($importer)
            ->setSeller($seller)
            ->setPayer($payer)
            ->setUltimateConsignee($ultimateConsignee);
    }
    /**
     * Get Shipper value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getShipper()
    {
        return $this->Shipper;
    }
    /**
     * Set Shipper value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $shipper
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setShipper(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $shipper = null)
    {
        $this->Shipper = $shipper;
        return $this;
    }
    /**
     * Get Pickup value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getPickup()
    {
        return $this->Pickup;
    }
    /**
     * Set Pickup value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $pickup
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setPickup(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $pickup = null)
    {
        $this->Pickup = $pickup;
        return $this;
    }
    /**
     * Get BookingRequestor value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getBookingRequestor()
    {
        return $this->BookingRequestor;
    }
    /**
     * Set BookingRequestor value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $bookingRequestor
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setBookingRequestor(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $bookingRequestor = null)
    {
        $this->BookingRequestor = $bookingRequestor;
        return $this;
    }
    /**
     * Get Buyer value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType1|null
     */
    public function getBuyer()
    {
        return $this->Buyer;
    }
    /**
     * Set Buyer value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType1 $buyer
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setBuyer(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType1 $buyer = null)
    {
        $this->Buyer = $buyer;
        return $this;
    }
    /**
     * Get Recipient value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getRecipient()
    {
        return $this->Recipient;
    }
    /**
     * Set Recipient value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $recipient
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setRecipient(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $recipient = null)
    {
        $this->Recipient = $recipient;
        return $this;
    }
    /**
     * Get Exporter value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getExporter()
    {
        return $this->Exporter;
    }
    /**
     * Set Exporter value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $exporter
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setExporter(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $exporter = null)
    {
        $this->Exporter = $exporter;
        return $this;
    }
    /**
     * Get Importer value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getImporter()
    {
        return $this->Importer;
    }
    /**
     * Set Importer value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $importer
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setImporter(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $importer = null)
    {
        $this->Importer = $importer;
        return $this;
    }
    /**
     * Get Seller value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getSeller()
    {
        return $this->Seller;
    }
    /**
     * Set Seller value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $seller
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setSeller(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $seller = null)
    {
        $this->Seller = $seller;
        return $this;
    }
    /**
     * Get Payer value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getPayer()
    {
        return $this->Payer;
    }
    /**
     * Set Payer value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $payer
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setPayer(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $payer = null)
    {
        $this->Payer = $payer;
        return $this;
    }
    /**
     * Get UltimateConsignee value
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType|null
     */
    public function getUltimateConsignee()
    {
        return $this->UltimateConsignee;
    }
    /**
     * Set UltimateConsignee value
     * @param \App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $ultimateConsignee
     * @return \App\Delivery\Dhl\StructType\DocTypeRef_ShipType
     */
    public function setUltimateConsignee(\App\Delivery\Dhl\StructType\DocTypeRef_ContactInfoType $ultimateConsignee = null)
    {
        $this->UltimateConsignee = $ultimateConsignee;
        return $this;
    }
}
